0

I was trying to install ns2 from source. I followed the steps given here https://www.nsnam.com/2018/06/installation-of-ns2-in-ubuntu-1804.html.

I am getting the following error. config.status: creating Makefile config.status: creating dltest/Makefile config.status: creating tclConfig.sh configure: WARNING: unrecognized options: --enable-gcc Makefile:1601: warning: overriding recipe for target '/home/sathvik/Documents/ns2' Makefile:1514: warning: ignoring old recipe for target '/home/sathvik/Documents/ns2' Makefile:1603: warning: overriding recipe for target '/home/sathvik/Documents/ns2' Makefile:1601: warning: ignoring old recipe for target '/home/sathvik/Documents/ns2' Makefile:1605: warning: overriding recipe for target '/home/sathvik/Documents/ns2' Makefile:1603: warning: ignoring old recipe for target '/home/sathvik/Documents/ns2' make: Circular /home/sathvik/Documents/ns2 <- /home/sathvik/Documents/ns2 dependency dropped. make: Circular implementation/ns-allinone-2.35/tcl8.5.10/unix/../macosx/configure <- /home/sathvik/Documents/ns2 dependency dropped. make: *** No rule to make target 'implementation/ns-allinone-2.35/tcl8.5.10/unix/../macosx/configure.ac', needed by 'implementation/ns-allinone-2.35/tcl8.5.10/unix/../macosx/configure'. Stop. tcl8.5.10 make failed! Exiting ... For problems with Tcl/Tk see http://www.scriptics.com

Can you please help me through this. Thank you in advance

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.